Tspi_TPM_OwnerGetSRKPubKey(3)

TCG Software Stack Developer's Reference

NAME
Tspi_TPM_OwnerGetSRKPubKey - get public key of the SRK

SYNOPSIS

#include <tss/tspi.h>

TSS_RESULT Tspi_TPM_OwnerGetSRKPubKey(TSS_HTPM hTPM,
                                      UINT32*  pulPubKeyLength,
                                      BYTE**   prgbPubKey);

DESCRIPTION

Tspi_TPM_OwnerGetSRKPubKey returns the public key of the key object using owner authorization. This can only be used on 1.2 TPMs, and only to return the public key of the SRK.

PARAMETERS

  hTPM
The hTPM parameter is used to specify the handle of the TPM object.

  pulPubKeyLength
The pulPubKeyLength parameter is the length (in bytes) of the prgbPubKey parameter.

  prgbPubKey
The prgbPubKey parameter is the pointer to the memory block containing the public key blob retrieved for the key object referenced by hKey.

RETURN CODES

Tspi_TPM_OwnerGetSRKPubKey returns TSS_SUCCESS on success, otherwise one of the following values is returned:

TSS_E_INVALID_HANDLE
    hTPM is not a valid handle.

TSS_E_BAD_PARAMETER
    One or more parameters is bad.

TSS_E_INTERNAL_ERROR
    An internal SW error has been detected.

TSS_E_TPM_UNSUPPORTED
    The TPM is not version 1.2 or later - (Note: still unimplemented)

CONFORMING TO

Tspi_TPM_OwnerGetSRKPubKey conforms to the Trusted Computing Group Software Specification version 1.2

SEE ALSO

Tspi_Context_FreeMemory(3), Tspi_Key_GetPubKey(3).